LibreOffice: FTPContentProvider Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
FTPContentProvider Service Referencepublished

The FTP Content Provider (FCP) implements a ContentProvider for the UniversalContentBroker (UCB). More...

`import"FTPContentProvider.idl";`

Inheritance diagram for FTPContentProvider:

## Exported Interfaces
interface | com::sun::star::ucb::XContentProvider
| provides an object representing either a (ftp-server side) directory object allowing listing of children or a content object providing access a (ftp-server side) file. More...

## Additional Inherited Members
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The FTP Content Provider (FCP) implements a ContentProvider for the UniversalContentBroker (UCB).

The served contents enable access to directories and files on a ftp-server.

See also
  com::sun::star::ucb::Content

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

provides an object representing either a (ftp-server side) directory object allowing listing of children or a content object providing access a (ftp-server side) file.

See also
  com::sun::star::ucb::FTPContent

The documentation for this service was generated from the following file:

- com/sun/star/ucb/FTPContentProvider.idl